package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"xmltext"}
)
@XmlRootElement(
   name = "XMLINFO"
)
public class XMLINFO {
   @XmlAttribute(
      name = "TYPE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "TEXT"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String text;
   @XmlElement(
      name = "XMLTEXT"
   )
   protected List<XMLTEXT> xmltext;

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getTEXT() {
      return this.text;
   }

   public void setTEXT(String value) {
      this.text = value;
   }

   public List<XMLTEXT> getXMLTEXT() {
      if (this.xmltext == null) {
         this.xmltext = new ArrayList();
      }

      return this.xmltext;
   }
}
